> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getsysbyteex.md).

# GetSysByteEx

### double GetSysByteEx(int nTransactionID)

SendEventReportEx 또는 SendMsgEx 함수를 호출할 때 사용자가 직접 부여한 Transaction ID를 매개체로 하여, 해당 메시지의 실제 System Byte를 조회합니다. 이 함수를 통해 코드상의 관리 번호와 실제 통신 패킷 번호를 1:1로 매칭할 수 있습니다.

{% hint style="warning" %}
GetSysByteEx() 는 반드시 사용자가 먼저 보내는 Message에 대한 SystemByte만 얻을 수 있습니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="233" valign="top"></th><th width="95" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nTransactionID</td><td valign="top">int</td><td valign="top">사용자가 할당한 Transaction ID</td></tr></tbody></table>

Return Value

<table data-header-hidden><thead><tr><th width="246" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">>=0</td><td valign="top">Transaction ID를 할당하여 송신한 Message의 System Byte</td></tr><tr><td valign="top">&#x3C;0</td><td valign="top">실패 (Error Code 반환) Error Code는 Error Code List를 참조</td></tr></tbody></table>

```csharp
int MyTransactionID = 777;    //고유 TransactionID를 설정합니다.
int lMsgId = m_gem.CreateMsg(2, 25,1);
m_gem.SendMsgEx(lMsgId, MyTransactionID); //고유 TransactionID를 넣고 Msg를 보냅니다.

double nSystemByte = m_gem.GetSysByteEx(MyTransactionID);    //해당 ID로 SystemByte를 얻습니다
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getsysbyteex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
